package com.zm.order.tool.server.dao;

import com.zm.order.tool.server.model.OrderStatusFlows;
import com.zm.order.tool.server.model.ToolInterface;
import com.zm.order.tool.server.query.ListStatusFlowsQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author 陈标
 * @Date 2020/3/12 14:55
 */

@Repository
public interface OrderStatusFlowsDao {


    /**
     * 插入记录
     *
     * @param orderStatusFlows 记录
     * @return
     */
    int insert(OrderStatusFlows orderStatusFlows);

    /**
     * 查询
     *
     * @param query
     * @return
     */

    List<OrderStatusFlows> selectList(ListStatusFlowsQuery query);


    /**
     * 修改
     *
     * @param orderStatusFlows
     * @return
     */
    int update(OrderStatusFlows orderStatusFlows);


    /**
     * 批量添加
     *
     * @param orderStatusFlowsList
     * @return
     */
    int inserts(@Param("orderStatusFlowsList") List<OrderStatusFlows> orderStatusFlowsList);

    /**
     * 数量查询
     *
     * @param query
     * @return
     */
    int count(ListStatusFlowsQuery query);


    /**
     * 激活
     *
     * @param idList
     * @return
     */
    int activated(@Param("idList") List<Long> idList);


    /**
     * 删除
     *
     * @param idList
     * @return
     */
    int deleted(@Param("idList") List<Long> idList);

    /**
     * 查询订单列表
     *
     * @param idList
     * @return
     */
    List<OrderStatusFlows> selectListById(@Param("idList") List<Long> idList);

}
